<?php
include ("base/elemento.class.php");
include ("base/categoria.class.php");


class galeria_rel_categoria extends elemento{
	
	private $tipos = array("pagina_artigo"=>"pagina_artigo","noticia"=>"noticia");
	
	function galeria_rel_categoria() {	}
	
	function selectTituloTipo($idTipo){
	?>	
		<p style="display: none;" id="selectTituloTipo">
			<label>Título</label>
	  		<select name="idTipo" id="tituloTipo"></select>
		</p>
		
		<script type="text/javascript">
		$(document).ready(function(){
			tipo = $('#tipo1 option:selected').text();
			if(tipo != "Escolha...")
				loadTipoGaleria('<?=$idTipo ?>');

			$("#tipo1").change(function(){
				tipo = $('#tipo1 option:selected').text();
				loadTipoGaleria('<?=$idTipo ?>');
				return false;
			});
		});
		
		function loadTipoGaleria(idtipo){
			$.post('subcat_tituloTipo.php?tipo=html',
					{ tipo: tipo, idTipo:idtipo },
					function (htmlRetornado){
						$("#tituloTipo")
							.find('option')
							.remove()
							.end()
							.append(htmlRetornado)
					}
				);
			$("#selectTituloTipo").show(); 
		}
		</script>	
	<?	
	}
	
   	function guardar($id=""){
   		parent::guardar($id);
   	}
	
	function editar($id=""){
		$db= new dbElemento;
        $linha = @$db->getLinha($this->tipo, $id);
        
        $f= new form($id, $linha , $this->req);
		$f->toolbars();
		$f->titulo("Nova ligação/ ", 1);
		$f->campoSeleccao("Tipo", "tipo1", $this->tipos, $linha['tipo1'],"required");
		$this->selectTituloTipo($linha['idTipo']);	
		$f->campoValor("idGaleria",$_SESSION['bo']['idGaleria']);	
			
		$f->mostra();
	}
	
	function listar(){ 
        $campos=array("Nr"=>"id","Nr Galeria"=>"idGaleria", "Tipo"=>"tipo1", "Nr Tipo"=>"idTipo");
        $db= new dbElemento;

        if($this->req['idGaleria']){
	        $this->req['filtro']['idGaleria'] = $this->req['idGaleria'];
       		$_SESSION['bo']['idGaleria'] =  $this->req['idGaleria'];
        }else $this->req['filtro']['idGaleria'] = $_SESSION['bo']['idGaleria'];
        
        $dados=$db->getLista($this->tipo, "", $campos , "idGaleria", 0 ,$this->req['offset'], $this->req['limit'], $this->req['procurar'], $this->req['filtro'] );
        $this->req['total']=$db->getTotal($this->tipo, $this->idCat, $this->req['procurar'], $this->req['filtro']);
        
	    $tam=sizeof($dados);
    	for ($i=0;$i<$tam;$i++){
    		if($dados[$i]['tipo1'] == "pagina"){
    			$idT = $dados[$i]['idTipo'];
    			$sql="select categoria from categoria, pagina 
    				  where pagina.idCat = categoria.id and pagina.id = $idT";
    			$listaT = $db->get($sql);
    			$dados[$i]['tit_conteudo'] = $listaT[0]['categoria'];
    		}else {
    			$linhaT = $db->getLinha($dados[$i]['tipo1'], $dados[$i]['idTipo']);
        		$dados[$i]['tit_conteudo'] = $linhaT['titulo'];
    		}
        	$linhaG= $db->getLinha("galeriaCategoria", $dados[$i]['idGaleria']);
        	$dados[$i]['tit_galeria'] = $linhaG['categoria'];
        }

     	$campos['Titulo conteúdo']='tit_conteudo';
     	$campos['Galeria']='tit_galeria';
    
        $f= new lista($campos, $dados, $this->req);
        $f->toolbarsNovo2();
		$f->titulo("Ligação Galeria ".$_SESSION['bo']['idGaleria']." - Conteúdos");
		$f->cabecaSimples();
        $f->tabela(false,false,true);
		$f->mostra();
	}	
}

?>
